package cn.com.infosec.mobile.android;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.bouncycastle.crypto.Digest;
import cn.com.bouncycastle.tls.crypto.impl.external.ExternalCredentialedProvider;
import cn.com.infosec.mobile.android.managers.CertManager;
import cn.com.infosec.mobile.android.managers.SignManager;
import cn.com.infosec.mobile.android.result.Result;
import java.security.GeneralSecurityException;
import java.security.SecureRandom;
import java.util.List;

@Keep
public class MAuthSDKCredentialedProvider extends ExternalCredentialedProvider {
   private String userName;
   private String PIN;
   private CertManager certManager;
   private SignManager signManager;
   private String cert;

   public MAuthSDKCredentialedProvider(@NonNull Context context, @NonNull String userName, @NonNull String PIN) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN)) {
         this.certManager = new CertManager(context);
         this.signManager = new SignManager(context);
         String context1;
         this.cert = context1 = this.certManager.getCert(userName);
         if (!TextUtils.isEmpty(context1)) {
            this.userName = userName;
            this.PIN = PIN;
         } else {
            throw new GeneralSecurityException("MAuthSDKCredentialedProvider username is not found");
         }
      } else {
         throw new GeneralSecurityException("MAuthSDKCredentialedProvider Params must not be null");
      }
   }

   public String getSignCert() {
      return this.cert;
   }

   public String getEncCert() {
      return this.cert;
   }

   public byte[] decrypt(byte[] bytes) {
      return new byte[0];
   }

   public byte[] signHash(byte[] bytes) {
      SignManager var10000 = this.signManager;
      MAuthSDKCredentialedProvider var10001 = this;
      String var2 = this.userName;
      Result var3;
      return TextUtils.equals("000000", (var3 = var10000.sign(var2, var10001.PIN, bytes, 0)).getResultID()) ? Base64.decode(var3.getResultDesc(), 2) : null;
   }

   public byte[] signHashWithPSS(byte[] bytes, Digest digest, SecureRandom secureRandom) {
      return new byte[0];
   }

   public List<byte[]> generateKeyExchange(byte[] bytes, byte[] bytes1, byte[] bytes2, byte[] bytes3, byte[] bytes4, int i) {
      return null;
   }
}
